atlas-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Radley <david_rad...@uk.ibm.com>
Subject Re: [VOTE] Release Apache Atlas 0.7.1 (incubating) - release candidate 2 (dev group vote)
Date Thu, 19 Jan 2017 09:24:27 GMT
Hi Madhan,
Sorry - that was my mistake on the clone command. I think we could defer 
some of my other suggestions to a later release. I feel the points below 
are important as they have the potential to cause confusion. 

I think it is confusing that we say 
for 0.8 use:
git clone https://git-wip-us.apache.org/repos/asf/incubator-atlas.git 
atlas
for 0.7.1
git clone https://github.com/apache/incubator-atlas.git

Ideally we should have a consistent git url naming convention, I think the 
minimum is that we should include 0.7.1 or 7 somewhere in the new git url. 
At the moment the 0.7.1 git url could easily be mistaken for the latest 
code. 

I cloned the source and see that the README now does not contain the clone 
instructions. I looked in the documentation for the installation 
instructions and see that the it clone specified is for 0.8.
I think we should document the correct git clone syntax for 0.7.1 
somewhere. 
 
Maybe I am missing something, but I cannot see the version number 0.7.1 
mentioned anywhere (I see 0.7.1 mentioned in files under .git folder and 
0.7 mentioned in Jira  in the release notes) . So I am unsure how I could 
know what version of Atlas I am on; from the source tree or a built Atlas. 


Here is my +1, if we can create a more representative git url and document 
it somewhere and have a way of finding out what release we are. 

Thanks David. 



From:   Madhan Neethiraj <madhan@apache.org>
To:     "dev@atlas.incubator.apache.org" <dev@atlas.incubator.apache.org>
Date:   18/01/2017 16:37
Subject:        Re: [VOTE] Release Apache Atlas 0.7.1 (incubating) - 
release candidate 2 (dev group vote)
Sent by:        Madhan Neethiraj <mneethiraj@hortonworks.com>



David,

Thanks for validating the release candidate and your comments.
Please see my response below:

>> "git clone https://github.com/apache/incubator-atlas.git"
>> This is the wrong git command - as this will put the code into git – 
not
>>  clone it from the repository into a local folder. 
This command gets the repository to local folder “incubator-atlas”, which
Is consistent with the following build instructions in the README.

>>     2) I think that the readme should explicitly mention the version 
number 
>>    0.7.1 and also point to the latest code 0.8 and explicitly talk 
about the 
>>    need for 0.7.1, rather than using 0.8, which I assume is primarily 
the 
>>    java level. I think all the urls should default to the latest code 
(0.8).
>>
>>    3) I suggest that the readme includes the versions of any libraries 
that 
>>    need to be on a machine to be able to build. I would mention the 
required 
>>    levels of Java, Maven, Git and Python. I have not installed as I was 
not 
>>    sure of the levels I need of these prereqs. 

Can these be addressed this in the next release? One approach would be to
create multiple READM.txt, one for each release. Another approach would
be to create multiple sections in README.txt - one for each release.

Thanks,
Madhan


On 1/18/17, 3:18 AM, "David Radley" <david_radley@uk.ibm.com> wrote:

    Atlas team,
    I am not sure if the resdme updates have gone in; from the link below 
the 
    readme seems not to be correct. 
 
 
    I have downloaded the tar.gz file. 
 
 
    Readme feedback 
    1) I notice the readme starts by saying to get the code using "git 
clone 
    https://github.com/apache/incubator-atlas.git"
    This is the wrong git command - as this will put the code into git - 
not 
    clone it from the repository into a local folder. 
 
    I look on http://atlas.incubator.apache.org/InstallationSteps.html. It 

    says to use "git clone
    https://git-wip-us.apache.org/repos/asf/incubator-atlas.git atlas"
    We need to document a 0.7.1 equivalent for the clone in the readme. 
 
    2) I think that the readme should explicitly mention the version 
number 
    0.7.1 and also point to the latest code 0.8 and explicitly talk about 
the 
    need for 0.7.1, rather than using 0.8, which I assume is primarily the 

    java level. I think all the urls should default to the latest code 
(0.8). 
 
 
    3) I suggest that the readme includes the versions of any libraries 
that 
    need to be on a machine to be able to build. I would mention the 
required 
    levels of Java, Maven, Git and Python. I have not installed as I was 
not 
    sure of the levels I need of these prereqs. 
 
    The vote will be open for at least 72 hours or until necessary votes 
are 
    reached.
    [ ] +1  approve
    [ ] +0  no opinion
    [ ] -1  disapprove (and reason why)
 
    Here is my +1, as long as we address the above points.
 
    Thanks,
    David
 
 
 
 
    Unless stated otherwise above:
    IBM United Kingdom Limited - Registered in England and Wales with 
number 
    741598. 
    Registered office: PO Box 41, North Harbour, Portsmouth, Hampshire PO6 
3AU
 





Unless stated otherwise above:
IBM United Kingdom Limited - Registered in England and Wales with number 
741598. 
Registered office: PO Box 41, North Harbour, Portsmouth, Hampshire PO6 3AU

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message